Operations related to ai agents.
Report the state of an AI agent task
POST /api/v4/projects/{id}/ai_agents/tasks/{task_id}/report
Called by the agent pod: the task is active, done or failed. Available only to the agent account.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- Example: 12 |
task_Path, | Integer | The task id the pod was handed Example: 7 |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
error | String | Why the task failed Example: Open |
result_ | String | The merge request or note the task produced |
retry | Boolean | false once the task must not be repeated after an interruption |
statusRequired | String | active, Allowed values: active,done,failedMinimum length: 1 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not found | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesAiAgentTask
| Property | Type | Description |
|---|---|---|
id | Integer | Example:7 |
lease_ | String (date- | Example:2026- |
state | String | Allowed values:pending,running,done,failedExample: running |